<script setup lang="ts">
import { RouterView } from "vue-router";

</script>

<template>
  <header>
    <h1 class="display-1 text-light text-monospace text-center mt-3">
      DFG Discovery
    </h1>
    <h6 class="text-light text-monospace text-center mb-5">
      Reduce the complexity of your OCEL and create easier to read
      direct-follow-graphs.
    </h6>
  </header>
  <RouterView />
  <footer class="bg-dark text-light">
    <div class="container">
      <div class="row justify-content-md-center footer-row">
        <div class="col auto text-center align-middle p-3">
          <span
            >(c) 2022 Simon Glomb, Stanislav Yuliyanov, Lennart Holzenkamp</span
          >
        </div>
      </div>
    </div>
  </footer>
</template>

<style>
body {
  background: linear-gradient(-45deg, #ee7752, #c53ce7, #23a6d5, #23d5ab);
  background-size: 400% 400%;
  animation: gradient 15s ease infinite;
}

@keyframes gradient {
  0% {
    background-position: 0% 50%;
  }
  50% {
    background-position: 100% 50%;
  }
  100% {
    background-position: 0% 50%;
  }
}
</style>
